Bug 164464 - port sysutils/dvdisaster does not recognize drives on FreeBSD 9.0-RELEASE
Summary: port sysutils/dvdisaster does not recognize drives on FreeBSD 9.0-RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-25 02:50 UTC by Bill E
Modified: 2012-03-17 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill E 2012-01-25 02:50:09 UTC
When running dvdisaster, the program errors as follows:

dvdisaster-0.72  Copyright 2004-2010 Carsten Gnoerlich.
This software comes with  ABSOLUTELY NO WARRANTY.  This
is free software and you are welcome to redistribute it
under the conditions of the GNU GENERAL PUBLIC LICENSE.
See the file "COPYING" for further information.
No CD/DVD drives found in /dev.
No drives will be pre-selected.

Output from camcontrol devlist:
<HL-DT-ST DVD-RAM GH22LP21 1.00>   at scbus0 target 0 lun 0 (cd0,pass0)
<TSSTcorp CDDVDW SH-S222A SB01>    at scbus1 target 0 lun 0 (cd1,pass1)
<Maxtor 6L300S0 BANC1G10>          at scbus2 target 0 lun 0 (pass2,ada0)
<Maxtor 6L300S0 BANC1G10>          at scbus3 target 0 lun 0 (pass3,ada1)
<HPT DISK 0_0 4.00>                at scbus4 target 0 lun 0 (da0,pass4)
<HPT DISK 0_1 4.00>                at scbus4 target 1 lun 0 (da1,pass5)
<HPT DISK 0_2 4.00>                at scbus4 target 2 lun 0 (da2,pass6)
<HPT DISK 0_3 4.00>                at scbus4 target 3 lun 0 (da3,pass7)

Permissions on /dev/pass*
crw-rw-rw-  1 root  operator    0,  93 Jan 24 08:00 /dev/pass0
crw-rw-rw-  1 root  operator    0,  94 Jan 24 08:00 /dev/pass1
crw-------  1 root  operator    0,  95 Jan 24 08:00 /dev/pass2
crw-------  1 root  operator    0,  96 Jan 24 08:00 /dev/pass3
crw-------  1 root  operator    0,  97 Jan 24 08:00 /dev/pass4
crw-------  1 root  operator    0,  98 Jan 24 08:00 /dev/pass5
crw-------  1 root  operator    0,  99 Jan 24 08:00 /dev/pass6
crw-------  1 root  operator    0, 100 Jan 24 08:00 /dev/pass7

How-To-Repeat: run dvdisaster
Comment 1 Edwin Groothuis freebsd_committer 2012-01-25 02:50:17 UTC
Maintainer of sysutils/dvdisaster,

Please note that PR ports/164464 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164464

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-01-25 02:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-02-27 23:32:03 UTC
State Changed
From-To: feedback->open

feedback timeout
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-03-01 01:08:22 UTC
State Changed
From-To: open->feedback

no patch attached
Comment 5 dfilter service freebsd_committer 2012-03-17 11:17:12 UTC
crees       2012-03-17 11:16:55 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dvdisaster  Makefile 
  Added files:
    sysutils/dvdisaster/files patch-scsi-freebsd.c 
  Log:
  Fix segfault while detecting drives due to 9x changes in CAM
  
  PR:             ports/165938
  Submitted by:   Corey Halpin <chalpin@cs.wisc.edu> (author/maintainer)
  
  Also fixes:
  
  PR:             ports/164464
  PR:             ports/165787
  Feature safe:   yes
  
  Revision  Changes    Path
  1.20      +1 -0      ports/sysutils/dvdisaster/Makefile
  1.1       +11 -0     ports/sysutils/dvdisaster/files/patch-scsi-freebsd.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2012-03-17 11:17:41 UTC
State Changed
From-To: feedback->closed

Fixed in ports/165938